Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 28 Dec 2022 18:10:23 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hello,

I ordered 2 pants for men to pick up from Dubai Hills Branch.
After the payment, the page stuck in: "please wait".

I have taken screenshot and I have message from my bank and in my statement it shows that the payment was successfullly done.

The exact amount is : 147.9

Thank you for using VISA PB Platinum Card ending 3004 for AED 147.90 at LANDMARK RETAIL INVEST on 28-DEC-2022 09:20 PM. Available Balance is...

Further i didn't receive any sms or email about my order.

Could you please confirm about my order and send my my order details via email so that when I visit to pick up, i  can provide the order details

Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5517842